package tech.nevets.gdrivemigrator;

import com.google.api.services.drive.model.File;
import spark.Request;
import spark.Response;
import spark.Route;

import java.util.List;

public class RootRoute implements Route {
    @Override
    public Object handle(Request request, Response response) throws Exception {
        List<File> files = GoogleConnector.getFiles();

        return filesToString(files);
    }

    private String filesToString(List<File> files) {
        StringBuilder sb = new StringBuilder();
        for (File file : files) {
            sb.append(file.getName()).append(",").append(file.getId()).append("\n");
        }
        return sb.toString();
    }
}
